from random import randrange


def millionaire():
    print('''
This program repeatedly asks if the product of two random
numbers is at least one million until the player correctly
answers. It then reports how many responses the player
required.
        ''')
    tries = 0
    while True:
        m = randrange(500, 1500)
        n = randrange(500, 1500)
        print(f'is {m} x {n} at least 1,000,000?')
        response = input('y or n: ')
        tries += 1
        p = m * n
        print(f'The product is {p}')
        if ((response == 'y' and p >= 1000000) or
            (response == 'n' and p < 1000000)):
            print('Correct!')
            print(f'Number of tries needed: {tries}')
            break
        else:
            print('Incorrect.')


