"""
=================================
Games Computer Play (Spring 2025)

a better guessing game

"""


from random import randrange


def better_guesser():
    secret = randrange(1, 100)
    attempts = 0
    while True:
        guess = read_int('guess a number between 1 and 99: ')
        if guess is None:
            continue
        if guess == 0:
            print('Quitters never win.')
            print(f'(I was thinking of {secret}.)')
            break
        if guess < 0 or guess >= 100:
            print('Invalid guess - it is out ranges. Please try again.')
            continue
        attempts += 1
        if guess == secret:
            print('You are a magician!')
            break
        elif guess < secret:
            print('Too low. Try again.')
        else:
            print('Too high. Try again.')
    if attempts == 0:
        print('No real guesses made.')
    elif attempts == 1:
        print('You made one guess.')
    else:
        print(f'You made a total of {attempts} guesses.')

            


# ===========================================================================
# there be dragons below


def read_int(prompt):
    text = input(prompt)
    try:
        return int(text)
    except ValueError:
        print(f'"{text}" is not an integer!')
        return None
